Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ddf
Class EscherDgRecord

    java.lang.Object
      org.apache.poi.ddf.EscherRecord
          org.apache.poi.ddf.EscherDgRecord

public class EscherDgRecord
extends EscherRecord

This record simply holds the number of shapes in the drawing group and the last shape id used for this drawing group.

Author:
  Glen Stampoultzis

Field Summary
`static java.lang.String` | `RECORD_DESCRIPTION`
`static short` | `RECORD_ID`

Constructor Summary
`EscherDgRecord()`

Method Summary
`int` | `fillFields(byte[] data, int offset, EscherRecordFactory recordFactory)` This method deserializes the record from a byte array.
`short` | `getDrawingGroupId()` Gets the drawing group id for this record.
`int` | `getLastMSOSPID()` The last shape id used in this drawing group.
`int` | `getNumShapes()` The number of shapes in this drawing group.
`short` | `getRecordId()` Return the current record id.
`java.lang.String` | `getRecordName()` The short name for this record
`int` | `getRecordSize()` Returns the number of bytes that are required to serialize this record.
`void` | `incrementShapeCount()`
`int` | `serialize(int offset, byte[] data, EscherSerializationListener listener)` This method serializes this escher record into a byte array.
`void` | `setLastMSOSPID(int field_2_lastMSOSPID)` The last shape id used in this drawing group.
`void` | `setNumShapes(int field_1_numShapes)` The number of shapes in this drawing group.
`java.lang.String` | `toString()` Returns the string representation of this record.

Methods inherited from class org.apache.poi.ddf.EscherRecord
`clone, display, fillFields, getChild, getChildRecords, getInstance, getOptions, isContainerRecord, readHeader, serialize, serialize, setChildRecords, setOptions, setRecordId`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RECORD_ID

    public static final short RECORD_ID

See Also:
  Constant Field Values

### RECORD_DESCRIPTION

    public static final java.lang.String RECORD_DESCRIPTION

See Also:
  Constant Field Values

Constructor Detail

### EscherDgRecord

    public EscherDgRecord()

Method Detail

### fillFields

    public int fillFields(byte[] data,
                          int offset,
                          EscherRecordFactory recordFactory)

  This method deserializes the record from a byte array.

  Specified by:
    `fillFields` in class `EscherRecord`
  Parameters:
    `data` - The byte array containing the escher record information
    `offset` - The starting offset into `data`.
    `recordFactory` - May be null since this is not a container record.
  Returns:
    The number of bytes read from the byte array.

### serialize

    public int serialize(int offset,
                         byte[] data,
                         EscherSerializationListener listener)

  This method serializes this escher record into a byte array.

  Specified by:
    `serialize` in class `EscherRecord`
  Parameters:
    `offset` - The offset into `data` to start writing the record data to.
    `data` - The byte array to serialize to.
    `listener` - A listener to retrieve start and end callbacks. Use a `NullEscherSerailizationListener` to ignore these events.
  Returns:
    The number of bytes written.
  See Also:
    `NullEscherSerializationListener`

### getRecordSize

    public int getRecordSize()

  Returns the number of bytes that are required to serialize this record.

  Specified by:
    `getRecordSize` in class `EscherRecord`
  Returns:
    Number of bytes

### getRecordId

    public short getRecordId()

  Description copied from class: `EscherRecord`
  Return the current record id.

  Overrides:
    `getRecordId` in class `EscherRecord`
  Returns:
    The 16 bit record id.

### getRecordName

    public java.lang.String getRecordName()

  The short name for this record

  Specified by:
    `getRecordName` in class `EscherRecord`

### toString

    public java.lang.String toString()

  Returns the string representation of this record.

### getNumShapes

    public int getNumShapes()

  The number of shapes in this drawing group.

### setNumShapes

    public void setNumShapes(int field_1_numShapes)

  The number of shapes in this drawing group.

### getLastMSOSPID

    public int getLastMSOSPID()

  The last shape id used in this drawing group.

### setLastMSOSPID

    public void setLastMSOSPID(int field_2_lastMSOSPID)

  The last shape id used in this drawing group.

### getDrawingGroupId

    public short getDrawingGroupId()

  Gets the drawing group id for this record. This is encoded in the instance part of the option record.

  Returns:
    a drawing group id.

### incrementShapeCount

    public void incrementShapeCount()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.